Bug 23206 - Batch patron modification from reports which return cardnumber
Summary: Batch patron modification from reports which return cardnumber
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 19233 23197
Blocks: 23390
  Show dependency treegraph
 
Reported: 2019-06-25 15:43 UTC by Owen Leonard
Modified: 2019-09-02 08:33 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Screenshot snippet showing the menu of batch operations (8.70 KB, image/png)
2019-07-18 18:05 UTC, Owen Leonard
Details
Bug 23206: Batch patron modification from reports which return cardnumber (3.70 KB, patch)
2019-07-18 18:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23206: Batch patron modification from reports which return cardnumber (3.75 KB, patch)
2019-07-19 19:28 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23206: Batch patron modification from reports which return cardnumber (3.80 KB, patch)
2019-07-19 21:19 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23206: Batch patron modification from reports which return cardnumber (3.85 KB, patch)
2019-07-25 17:41 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-25 15:43:16 UTC
Batch patron operations should be available to reports which return borrowernumber or cardnumber columns:

 - Batch patron modification
 - Add to patron list
 - Add to new patron card batch?
 - Batch patron deletion?
Comment 1 Owen Leonard 2019-07-18 17:55:23 UTC
I'm changing the scope of this bug because there isn't a clear path to any option besides batch patron modification.
Comment 2 Owen Leonard 2019-07-18 18:05:20 UTC
Created attachment 91606 [details]
Screenshot snippet showing the menu of batch operations

A screenshot showing the menu of batch operations available on a report which returns biblionumbers, itemnumbers, and cardnumbers
Comment 3 Owen Leonard 2019-07-18 18:16:53 UTC Comment hidden (obsolete)
Comment 4 Maryse Simard 2019-07-19 19:28:05 UTC Comment hidden (obsolete)
Comment 5 ByWater Sandboxes 2019-07-19 21:19:32 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2019-07-25 17:41:02 UTC
Created attachment 91771 [details] [review]
Bug 23206: Batch patron modification from reports which return cardnumber

This patch adds an option to submit patron card numbers from report
results to the batch patron modification tool.

As with a report which returns biblionumbers or itemnumbers, a button
appears at the top of report results which triggers a menu of batch
operation options.

To test, apply the patch and create a report which includes patron card
number in the results.

 - Run the report and confirm that under the "Batch operations" button
   a batch patron modification menu item appears.
   - Confirm that selecting this option sends the correct patrons to the
     batch patron modification tool.
 - Test also with a report which returns both patron cardnumber and
   biblionumber or itemnumber.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: George <george@nekls.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Martin Renvoize 2019-07-26 10:19:23 UTC
Nice work!

Pushed to master for 19.11.00
Comment 8 Fridolin SOMERS 2019-08-09 12:37:11 UTC
Depends on Bug 23197 not in 19.05.x